Bug 79480 - Failure in identifying/converting GIMP XCF files.
Failure in identifying/converting GIMP XCF files.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-12 02:30 EST by Craig Lawson
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 13:55:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GIMP XCF; one layer 10 x 10 pixels; image extent 10 x 20 pixels (365 bytes, image/x-xcf)
2002-12-12 02:37 EST, Craig Lawson
no flags Details
GIMP XCF; one layer 361 x 433 pixels; image extent 361 x 463 pixels (29.82 KB, image/x-xcf)
2002-12-12 02:39 EST, Craig Lawson
no flags Details

  None (edit)
Description Craig Lawson 2002-12-12 02:30:36 EST
Description of Problem:
  identify and convert fail to process GIMP's XCF file format when certain image
attributes are present. Specifically, ImageMagick seems unable to handle images
with layers whose extent is smaller than the image size.


Version-Release number of selected component (if applicable):
ImageMagick-5.4.3.11-1


How Reproducible:
100%


Steps to Reproduce:
1. Create a new image with GIMP.
2. Increase the canvas size dimensions. Do not increase the layer dimensions.
3. Save image with ".xcf" suffix.
4. Try to "identify" the saved file.

Actual Results:
Depending on the file, identify/convert will either fail immediately with a
memory allocation failure, or hang forever with 100% CPU utilization. Example of
memory failure message:
  convert: Memory allocation failed (identify_bug_1.xcf) [No such file or
directory].
  convert: Missing an image file name.


Expected Results:
Relatively fast identification of the image file type.


Additional Information:
 The Nautilus browser shell uses convert to display file icons, and when convert
encounters a difficult XCF, the shell gets stuck.
Comment 1 Craig Lawson 2002-12-12 02:37:25 EST
Created attachment 88526 [details]
GIMP XCF; one layer 10 x 10 pixels; image extent 10 x 20 pixels
Comment 2 Craig Lawson 2002-12-12 02:39:41 EST
Created attachment 88527 [details]
GIMP XCF; one layer 361 x 433 pixels; image extent 361 x 463 pixels
Comment 3 Craig Lawson 2002-12-12 02:41:42 EST
About the two attachments:

$ identify identify_bug_1.xcf
identify: Memory allocation failed (identify_bug_1.xcf) [No such file or directory].
identify: Missing an image file name.

$ identify identify_bug_2.xcf
(hangs forever)
Comment 4 Matthias Clasen 2005-09-14 13:55:03 EDT
Please try to reproduce this against a supported release and reopen if you can.

Note You need to log in before you can comment on or make changes to this bug.